function WriteSidePanel()
{
	var strHTML=m_objMqButton.GetTextButtonHTML("MassUpdate", g_MqRef.RESX['SL.MASS_ALLOC_SELECTED_ASSETS'], "AllocateAssets()", "", 65, "padding-bottom:50px;", "", 150);

	document.write(strHTML);
}

function AllocateAssets()
{
	var blnSelectAll=false;
	var arrQueriesToSkipMsg=new Array("11"); //don't show msg for the in stock assets
	var strCurrentQueryName=parent.m_objSLInput.QueryName();
	var strCurrentQueryID=parent.m_objSLInput.QueryVal();
	
	if(GetSelectedIssueIDs()==""){
		if(!g_MqRef.MqArr.IsValueInArray(strCurrentQueryID,arrQueriesToSkipMsg)){
			if(window.confirm(g_MqRef.MqStr.FormatString(g_MqRef.RESX['MSG_CONFIRM_ALLOCATE_ALL'], strCurrentQueryName))){
				blnSelectAll=true;
			}else{
				return false;
			}
		}else{
			blnSelectAll=true;
		}
	}
	
	if(blnSelectAll){
		SelectAllInQuery(true);
	}
	
	OpenBatchUpdateWindow(800, 600, '<F.ID:Allocated to Person (Bulk Allocate)>,<F.ID:Allocated to Device / Computer (Bulk Allocate)>', '30', "ALLOCATE_ASSETS_HDR", "ALLOCATE_ASSETS_DESC");
	
	if(blnSelectAll){
		SelectAllInQuery(false);
	}
}
function EditResInfo(lngID)
{
	parent.LoadRecord(lngID, -1, false);
}